#! /usr/bin/env bash

if [[ "$#" -lt 2 ]]; then
    printf "<code>$(cat)</code>"
fi

if grep -qw ${name:-} <<< $(pygmentize -L lexers); then
    pygmentize -l $1 -f html | head -c -13 | awk -F '<pre>' '{print $NF}'
else
    printf "<code>$(cat)</code>"
fi